%global BASE_VER 2.6
%global STABLE_VER 13
%global momorel 1

Summary: The Squid proxy caching server.
Name: squid
Version: %{BASE_VER}.%{STABLE_VER}
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://www.squid-cache.org/
%NoSource 0 http://www.squid-cache.org/Versions/v2/%{BASE_VER}/squid-%{BASE_VER}.STABLE%{STABLE_VER}.tar.bz2 fdc4ece264b47bab1b112d8f6f842b8b
## Missing http://www.squid-cache.org/Squid/FAQ/FAQ.sgml
Source1: FAQ.sgml
Source2: squid.init
Source3: squid.logrotate
Source4: squid.sysconfig
Source5: squid.pam

# Upstream patches

# External patches

# Local patches
# Applying upstream patches first makes it less likely that local patches
# will break upstream ones.
Patch201: squid-2.5.STABLE11-config.patch
Patch202: squid-2.5.STABLE4-location.patch
Patch203: squid-2.6.STABLE2-build.patch
Patch204: squid-2.5.STABLE4-perlpath.patch
Patch205: squid-2.5.STABLE12-smb-path.patch
Patch206: squid-2.6.STABLE5-fd-config.patch

# Momonga
Patch400: squid-2.6.STABLE13-default-cache.patch


BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig logrotate shadow-utils
BuildRequires: findutils, gdbm-devel >= 1.8.0
BuildRequires: linuxdoc-tools, openjade
BuildRequires: openldap-devel >= 2.3.11
BuildRequires: pam-devel, openssl-devel
Requires: perl-Authen-Smb
Obsoletes: squid-novm

%description
Squid is a high-performance proxy caching server for Web clients,
supporting FTP, gopher, and HTTP data objects. Unlike traditional
caching software, Squid handles all requests in a single,
non-blocking, I/O-driven process. Squid keeps meta data and especially
hot objects cached in RAM, caches DNS lookups, supports non-blocking
DNS lookups, and implements negative caching of failed requests.

Squid consists of a main server program squid, a Domain Name System
lookup program (dnsserver), a program for retrieving FTP data
(ftpget), and some management and client tools.

%prep
%setup -q -n %{name}-%{BASE_VER}.STABLE%{STABLE_VER}
%patch201 -p1 -b .config
%patch202 -p1 -b .location
%patch203 -p1 -b .build
%patch204 -p1 -b .perlpath
%patch205 -p1 -b .smb
%patch206 -p1 -b .fd
%patch400 -p1 -b .default-cache

%build
export CFLAGS="-fPIE -Os -g -pipe -fsigned-char" ; export LDFLAGS=-pie ;
%configure \
   --exec_prefix=%{_prefix} \
   --bindir=%{_sbindir} \
   --libexecdir=%{_libdir}/squid \
   --localstatedir=/var \
   --datadir=%{_datadir} \
   --sysconfdir=%{_sysconfdir}/squid \
   --enable-epoll \
   --enable-snmp \
   --enable-removal-policies="heap,lru" \
   --enable-storeio="aufs,coss,diskd,null,ufs" \
   --enable-ssl \
   --with-openssl=/usr/kerberos \
   --enable-delay-pools \
   --enable-linux-netfilter \
   --with-pthreads \
   --enable-ntlm-auth-helpers="SMB,fakeauth" \
   --enable-external-acl-helpers="ip_user,ldap_group,unix_group,wbinfo_group" \
   --enable-auth="basic,digest,ntlm" \
   --enable-digest-auth-helpers="password" \
   --with-winbind-auth-challenge \
   --enable-useragent-log \
   --enable-referer-log \
   --disable-dependency-tracking \
   --enable-cachemgr-hostname=localhost \
   --enable-underscores \
   --enable-basic-auth-helpers="LDAP,MSNT,NCSA,PAM,SMB,YP,getpwnam,multi-domain-NTLM,SASL" \
   --enable-cache-digests \
   --enable-ident-lookups \
%ifnarch ppc64 ia64 x86_64 s390x
   --with-large-files \
%endif
   --enable-follow-x-forwarded-for \
   --enable-wccpv2 \
   --enable-fd-config \
   --with-maxfd=16384 \

export CFLAGS="-fPIE -Os -g -pipe -fsigned-char" ; export LDFLAGS=-pie ;
%make

mkdir faq
cp %{SOURCE1} faq
cd faq 
sgml2html FAQ.sgml

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall  \
	sysconfdir=%{buildroot}%{_sysconfdir}/squid \
	localstatedir=%{buildroot}/var \
	bindir=%{buildroot}%{_sbindir} \
	libexecdir=%{buildroot}%{_libdir}/squid \
	datadir=%{buildroot}%{_datadir}

echo "
#
# This is /etc/httpd/conf.d/squid.conf
#

ScriptAlias /Squid/cgi-bin/cachemgr.cgi %{_libdir}/squid/cachemgr.cgi

# Only allow access from localhost by default
<Location /Squid/cgi-bin/cachemgr.cgi>
 order allow,deny
 allow from localhost.localdomain
 # Add additional allowed hosts as needed
 # allow from .example.com
</Location>" > %{buildroot}/squid.httpd.tmp


ln -s %{_datadir}/squid/errors/English %{buildroot}%{_sysconfdir}/squid/errors
ln -s %{_datadir}/squid/icons $RPM_BUILD_ROOT/etc/squid/icons

mkdir -p %{buildroot}%{_initscriptdir}
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d/

install -m 755 %{SOURCE2} %{buildroot}%{_initscriptdir}/squid
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/squid
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/squid
install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/pam.d/squid
install -m 644 $RPM_BUILD_ROOT/squid.httpd.tmp %{buildroot}%{_sysconfdir}/httpd/conf.d/squid.conf.dist

mkdir -p %{buildroot}/var/log/squid
mkdir -p %{buildroot}/var/cache/squid

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_sbindir}/{RunAccel,RunCache}
rm -f $RPM_BUILD_ROOT/squid.httpd.tmp

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc faq/* README ChangeLog QUICKSTART doc/*
%doc contrib/url-normalizer.pl contrib/rredir.* contrib/user-agents.pl

%attr(755,root,root) %dir %{_sysconfdir}/squid
%attr(755,root,root) %dir %{_libdir}/squid
%attr(750,squid,squid) %dir /var/log/squid
%attr(750,squid,squid) %dir /var/cache/squid
%attr(644,root,root) %{_sysconfdir}/pam.d/squid
%attr(4750,root,squid) %{_libdir}/squid/ncsa_auth
%attr(4750,root,squid) %{_libdir}/squid/pam_auth
%attr(755,root,root) %{_sbindir}/cossdump

%config(noreplace) %attr(644,root,root)  %{_sysconfdir}/httpd/conf.d/squid.conf.dist
%config(noreplace) %attr(640,root,squid) %{_sysconfdir}/squid/squid.conf
%config(noreplace) %attr(644,root,squid) %{_sysconfdir}/squid/cachemgr.conf
%config(noreplace) %{_sysconfdir}/squid/mime.conf
%config(noreplace) %{_sysconfdir}/sysconfig/squid
%config(noreplace) %{_sysconfdir}/squid/msntauth.conf
%config(noreplace) %{_sysconfdir}/squid/mib.txt
%config %{_sysconfdir}/squid/msntauth.conf.default
%config %{_sysconfdir}/squid/squid.conf.default
%config %{_sysconfdir}/squid/mime.conf.default

%config(noreplace) %{_sysconfdir}/squid/errors
%dir %{_datadir}/squid
%config(noreplace) %{_datadir}/squid/errors
%config(noreplace) %{_sysconfdir}/squid/icons
%config(noreplace) %{_initscriptdir}/squid
%config(noreplace) %{_sysconfdir}/logrotate.d/squid
%{_datadir}/squid/icons
%{_sbindir}/squid
%{_sbindir}/squidclient
%{_mandir}/man8/*
%{_libdir}/squid/*

%pre
if ! getent group squid >/dev/null 2>&1; then
  /usr/sbin/groupadd -g 23 squid
fi

if ! getent passwd squid >/dev/null 2>&1 ; then
  /usr/sbin/useradd -g 23 -u 23 -d /var/cache/squid -r -s /sbin/nologin squid >/dev/null 2>&1 || exit 1 
fi

for i in /var/log/squid /var/cache/squid ; do
	if [ -d $i ] ; then
		for adir in `find $i -maxdepth 0 \! -user squid`; do
			chown -R squid:squid $adir
		done
	fi
done

exit 0

%post
/sbin/chkconfig --add squid
if [ $1 = 0 ]; then
 case "$LANG" in
  bg*)
     DIR=Bulgarian
     ;;
  ca*)
     DIR=Catalan
     ;;
  cs*)
     DIR=Czech
     ;;
  da*)
     DIR=Danish
     ;;
  nl*)
     DIR=Dutch
     ;;
  en*)
     DIR=English
     ;;
  ea*)
     DIR=Estonian
     ;;
  fi*)
     DIR=Finnish
     ;;
  fr*)
     DIR=French
     ;;
  de*)
     DIR=German
     ;;
  he*)
     DIR=Hebrew
     ;;
  hu*)
     DIR=Hungarian
     ;;
  it*)
     DIR=Italian
     ;;
  ja*)
     DIR=Japanese
     ;;
  kr*)
     DIR=Korean
     ;;
  pl*)
     DIR=Polish
     ;;
  pt*)
     DIR=Portuguese
     ;;
  ro*)
     DIR=Romanian
     ;;
  ru*)
     DIR=Russian-koi8-r
     ;;
  sr*)
     DIR=Serbian
     ;;
  sk*)
     DIR=Slovak
     ;;
  es*)
     DIR=Spanish
     ;;
  sv*)
     DIR=Swedish
     ;;
  zh_TW*)
     DIR=Traditional_Chinese
     ;;
  zh_CN*)
     DIR=Simplify_Chinese
     ;;
  tr*)
     DIR=Turkish
     ;;
  greek)
     DIR=Greek
     ;;
  *)
     DIR=English
     ;;
 esac
 ln -snf %{_datadir}/squid/errors/$DIR /etc/squid/errors
fi

%preun
if [ $1 = 0 ] ; then
	service squid stop >/dev/null 2>&1
	rm -f /var/log/squid/*
	/sbin/chkconfig --del squid
fi

%postun
if [ "$1" -ge "1" ] ; then
	service squid condrestart >/dev/null 2>&1
fi

%triggerin -- samba-common
/usr/sbin/usermod -a -G wbpriv squid >/dev/null 2>&1 || \
    chgrp squid /var/cache/samba/winbindd_privileged >/dev/null 2>&1 || :


%changelog
* Sun Jun  3 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.13-1m)
- [SECURITY] CVE-2007-1560 CVE-2007-0247 CVE-2007-0248
- update 2.6.STABLE13
- sync FC-devel (squid-2.6.STABLE12-1)

* Sat May 27 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.5.14-1m)
- update 2.5.STABLE14

* Mon Mar 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.5.13-1m)
- update 2.5.STABLE13

* Thu Jan 12 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.5.12-1m)
- update 2.5.STABLE12
- rebuild against openldap-2.3.11

* Wed May 18 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.5.10-1m)
- update 2.5.STABLE10

* Mon Feb 28 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.5.9-1m)
- update 2.5.STABLE9

* Tue Feb 21 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.5.8-1m)
- update 2.5.STABLE8

* Wed Jan 19 2005 TAKAHASHI Tamotsu <tamo>
- (2.5.7-4m)
- fix multiple security problems:
 squid-2.5.STABLE7-fakeauth_auth.patch
 squid-2.5.STABLE7-gopher_html_parsing.patch
 squid-2.5.STABLE7-wccp_denial_of_service.patch
 squid-2.5.STABLE7-ldap_spaces.patch

* Mon Dec 27 2004 TAKAHASHI Tamotsu <tamo>
- (2.5.7-3m)
- fix "Confusing results on empty acl declarations"
  http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE7-empty_acls

* Fri Dec 10 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.5.7-2m)
- [SECURITY] Squid Malformed Host Name Error Message Information Leakage
  http://secunia.com/advisories/13408/

* Wed Nov 17 2004 TAKAHASHI Tamotsu <tamo>
- (2.5.7-1m)
- [SECURITY] update to 2.5-STABLE7
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0918
- remove patch2 (squid-2.5.STABLE6-ntlm_fetch_string.patch)

* Mon Sep  6 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (2.5.6-1m)
- update to 2.5-STABLE6
- remove libntlmssp.c.patch (merged to original distribution)
- [SECURITY FIX] apply 'squid-2.5.STABLE6-ntlm_fetch_string.patch'

* Thu Jun 10 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.5.5-2m)
- [SECURITY FIX] apply 'libntlmssp.c.patch'

* Mon Mar 29 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.5.5-1m)
- update to 2.5-STABLE5
- this release includes security fix

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (2.5.4-4m)
- revised spec for rpm 4.2.

* Mon Dec 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.5.4-3m)
- accept gdbm-1.8.0 or newer

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.5.4-2m)
- rebuild against gdbm-1.8.0

* Thu Oct 30 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.5.4-1m)
- update to 2.5-STABLE4

* Thu Oct 30 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.5.3-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft).

* Wed Jun 18 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.5-3.1m)
  update to 2.5-STABLE3

* Wed Mar 19 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.5-2.1m)
  update to 2.5-STABLE2

* Sun Mar  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.5-1m)
  update to 2.5-STABLE1

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4-29m)
- rebuild against for gdbm

* Tue Nov 26 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4-28m)
- enable nullfs

* Mon Jul  8 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4-27m)
- 2.4.STABLE7
- major security fixes

* Wed Mar 27 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.4-24k)
- 2.4.STABLE6

* Wed Feb 27 2002 Masahiro Takahata <takahata@kondara.org>
- (2.4-22k)
- filename squid-2.4-perl-path.patch typo

* Wed Feb 27 2002 Masahiro Takahata <takahata@kondara.org>
- (2.4-20k)
- cleanup specfile
- add sysconfig/squid

* Sat Feb 23 2002 WATABE Toyokazu <toy2@kondara.org>
- (2.4-18k)
- update to 2.4-STABLE4 to fix security holes.
  http://www.squid-cache.org/Advisories/SQUID-2002_1.txt
- delete old patches.

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (2.4-16k)
- No docs could be excutable :-p

* Thu Nov 22 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.4-14k)
- fix following patches (see http://www.squid-cache.org/Versions/v2/2.4/bugs/)
  squid-2.4.STABLE2-CONNECT_miss_access_core.patch
  squid-2.4.STABLE2-swap_meta.patch
  squid-2.4.STABLE2-ldap_auth_password_spaces.patch
  squid-2.4.STABLE2-ftp_create_directory.patch
  squid-2.4.STABLE2-statHistDump_prototype.patch
  squid-2.4.STABLE2-snmpwalk_coredump.patch
  squid-2.4.STABLE2-aufs_fd_leak.patch
- add "--enable-linux-netfilter"
- convert gif to png

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (2.4-12k)
- nigittenu

* Tue Sep 11 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.4-10k)
- update to squid 2.4 STABLE2
- removed all official STABLE1 patches
- update FAQ.sgml from http://www.squid-cache.org/Doc/FAQ/FAQ.sgml

* Mon Apr 23 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.4-8k)
- merge official patches for squid-2.4.STABLE1, see
-  http://www.squid-cache.org/Versions/v2/2.4/bugs/
-  squid-2.4.stable1-diskd_fixed_path.patch
-  squid-2.4.stable1-htcp_assertion_fix.patch
- change cache_swap directory /var/spool/squid to /var/cache/squid

* Fri Apr 13 2001 Shingo Akagaki <dora@kondara.org>
- (2.4-6k)
- /etc/rc.d/init.d -> /etc/init.d

* Sun Apr  1 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.4-5k)
- merge official patches for squid-2.4.STABLE1, see
-  http://www.squid-cache.org/Versions/v2/2.4/bugs/
-  squid-2.4.stable1-wrong_sign_on_timestamp_check.patch
-  squid-2.4.stable1-high_cpu_with_peers.patch
-  squid-2.4.stable1-force_valid_blksize.patch
-  squid-2.4.stable1-kill_parent_on_child_sigkill.patch

* Sun Mar 25 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.4-3k)
- update to 2.4.STABLE1
- release-no to %{rel} and %{subrel}
- rework patches against squid-2.4.STABLE1
  (squid-2.1-make.patch to squid-2.4-make.patch,
   squid-2.3-config.patch to squid-2.4-config.patch,
   squid-2.3.stable4-perl-path-kondara.patch to squid-2.4-...)
- removed official patches for 2.3.STABLE4
- removed configure option "--enable-heap-replacement" (2.4 obsoletes)
- update FAQ.sgml 1.1.1.1 to 1.9
- enable "diskd"

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.3-7k)
- rebuild against rpm-3.0.5-39k

* Wed Nov 29 2000 Kenichi Matsubara <m@kondara.org>
- /etc/rc.d/init.d to %{_initscriptdir}

* Tue Aug 15 2000 Kenji Yamaguchi <yamk@sophiaworks.com>
- (2.3.stable4-1k)
- update to 2.3.stable4
- added 2.3.stable4 patches.
- deleted 2.3.stable1 patches.
- update FAQ.sgml from www.squid-cache.org.
- Kondarize. (SPEC)
- fixed scripts "#! /usr/local/bin/perl" to "#! /usr/bin/perl"
  [squid-2.3.stable4-perl-path-kondara.patch]

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- Yet More Bugfix Patches

* Tue Feb  8 2000 Bill Nottingham <notting@redhat.com>
- add more bugfix patches
- --enable-heap-replacement

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- grab some bugfix patches

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- 2.3.STABLE1 (whee, another serial number)

* Tue Dec 21 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix compliance with ftp RFCs
  (http://www.wu-ftpd.org/broken-clients.html)
- Work around a bug in some versions of autoconf
- BuildPrereq sgml-tools - we're using sgml2html

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- add a couple of bugfix patches

* Wed Oct 13 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE5.
- update FAQ, fix URLs.

* Sat Sep 11 1999 Cristian Gafton <gafton@redhat.com>
- transform restart in reload and add restart to the init script

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- add squid user as user 23.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging
- fix conflict between logrotate & squid -k (#4562)

* Wed Jul 28 1999 Bill Nottingham <notting@redhat.com>
- put cachemgr.cgi back in /usr/lib/squid

* Wed Jul 14 1999 Bill Nottingham <notting@redhat.com>
- add webdav bugfix patch (#4027)

* Mon Jul 12 1999 Bill Nottingham <notting@redhat.com>
- fix path to config in squid.init (confuses linuxconf)

* Wed Jul  7 1999 Bill Nottingham <notting@redhat.com>
- 2.2.STABLE4

* Wed Jun 9 1999 Dale Lovelace <dale@redhat.com>
- logrotate changes
- errors from find when /var/spool/squid or
- /var/log/squid didn't exist

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- 2.2.STABLE3

* Thu Apr 22 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE.2

* Sun Apr 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE1

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- don't need to run groupdel on remove
- fix useradd

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix effective_user (bug #2124)

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- duh. adduser does require a user name.
- add a serial number

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- add an adduser in %pre, too

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- oog. chkconfig must be in %preun, not %postun

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- switch to using group squid
- turn off icmp (insecure)
- update to 2.2.DEVEL3
- build FAQ docs from source

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Feb 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.PRE2

* Wed Dec 30 1998 Bill Nottingham <notting@redhat.com>
- cache & log dirs shouldn't be world readable
- remove preun script (leave logs & cache @ uninstall)

* Tue Dec 29 1998 Bill Nottingham <notting@redhat.com>
- fix initscript to get cache_dir correct

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.1.PATCH2
- merge in some changes from RHCN version

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.1.22

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- don't make packages conflict with each other...

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- added a proxy auth patch from Alex deVries <adevries@engsoc.carleton.ca>
- fixed initscripts

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- rebuilt for Manhattan

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.21/1.NOVM.21

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- updated the init script to use reconfigure option to restart squid instead
  of shutdown/restart (both safer and quicker)

* Sat Feb 07 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.20
- added the NOVM package and tryied to reduce the mess in the spec file

* Wed Jan 7 1998 Cristian Gafton <gafton@redhat.com>
- first build against glibc
- patched out the use of setresuid(), which is available only on kernels
  2.1.44 and later

